Documentation
Fuse Components
Directives

## ScrollReset

fuseScrollReset is a helper directive to reset the given element's scroll position to the top on route changes.

This directive is especially useful in situations like having a `router-outlet` inside a scrollable area such as `mat-drawer-content`, `mat-sidenav-content` or a custom scrollable element.

Exported as: `fuseScrollReset`

## Module

import { FuseScrollResetModule } from '@fuse/directives/scroll-reset';

## Usage

Here are some of the basic usages of the `fuseScrollReset`:

<mat-drawer-content fuseScrollReset> <router-outlet></router-outlet> </mat-drawer-content> <div class="mail"> <div class="threads" fuseScrollReset> <router-outlet></router-outlet> </div> </div>